import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 模型新增
export function addModel(data) {
  return request({
    url: `${baseURL}/iot/dataModel/add`,
    method: 'post',
    data
  })
}

// 模型列表
export function listModel(data) {
  return request({
    url: `${baseURL}/iot/dataModel/list`,
    method: 'post',
    data
  })
}

// 模型详情
export function getModelDetail(data) {
  return request({
    url: `${baseURL}/iot/dataModel/detail`,
    method: 'post',
    data
  })
}

// 模型编辑
export function editModel(data) {
  return request({
    url: `${baseURL}/iot/dataModel/edit`,
    method: 'post',
    data
  })
}

// 模型删除
export function deleteModel(data) {
  return request({
    url: `${baseURL}/iot/dataModel/delete`,
    method: 'post',
    data
  })
}

// 保存告警规则
export function saveAlarmRule(data) {
  return request({
    url: `${baseURL}/iot/dataModel/alarmRule/save`,
    method: 'post',
    data
  })
}

// 获取告警规则列表
export function listAlarmRule(data) {
  return request({
    url: `${baseURL}/iot/dataModel/alarmRule/list`,
    method: 'post',
    data
  })
}
